use bone_types::Angle;

#[derive(Copy, Clone, Debug, PartialEq)]
pub struct AngularSpan {
    start: Angle,
    sweep: Angle,
}

impl AngularSpan {
    #[must_use]
    pub const fn new(start: Angle, sweep: Angle) -> Self {
        Self { start, sweep }
    }

    #[must_use]
    pub const fn start(self) -> Angle {
        self.start
    }

    #[must_use]
    pub const fn sweep(self) -> Angle {
        self.sweep
    }
}
